org.apache.lucene.analysis.shingle

## Class ShingleMatrixFilter.Matrix

- java.lang.Object
- - org.apache.lucene.analysis.shingle.ShingleMatrixFilter.Matrix

- Enclosing class:
    ShingleMatrixFilter

      public static class ShingleMatrixFilter.Matrix
      extends java.lang.Object

  A column focused matrix in three dimensions:

       Token[column][row][z-axis] {
           {{hello}, {greetings, and, salutations}},
           {{world}, {earth}, {tellus}}
       };

  todo consider row groups to indicate that shingles is only to contain permutations with texts in that same row group.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `ShingleMatrixFilter.Matrix.Column`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Matrix()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List` | `getColumns()`
    `java.util.Iterator` | `permutationIterator()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Matrix

          public Matrix()

  - ### Method Detail

    - #### getColumns

          public java.util.List getColumns()

    - #### permutationIterator

          public java.util.Iterator permutationIterator()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.